Bug 140927 - Bookmarks vanish when file closed/reopened in Writer (around comments)
Summary: Bookmarks vanish when file closed/reopened in Writer (around comments)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.4.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Bookmarks
  Show dependency treegraph
 
Reported: 2021-03-09 19:08 UTC by Dave Lovelace
Modified: 2021-03-31 20:15 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screenshot showing both bookmarks present. (10.21 KB, image/png)
2021-03-09 19:12 UTC, Dave Lovelace
Details
Bookmark after close/open showing bookmark not present. (94.63 KB, image/png)
2021-03-09 19:13 UTC, Dave Lovelace
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dave Lovelace 2021-03-09 19:08:25 UTC
Description:
I use bookmarks a lot.  I also use comments a lot.  I have found, absolutely consistently, that if I have a comment created by highlighting text (at least, at the beginning of a line) and opening a comment, and then bookmark that line, the bookmark is there.  If I thereafter close and reopen Writer, the bookmark has disappeared.  This is a major irritation, as it means I have to separate my bookmarks from the actual point being bookmarked.

(For the record, it's also a real pain in the neck that there's no indicator showing that a bookmark is present.  You have to open the bookmarks list and hunt.  When there are hundreds of bookmarks present, this isn't really acceptable.  I've seen that I'm not the only one complaining about this point.)



I originally found this to happen on both Linux and Windows 10.  I no longer have a Linux machine available.  So I'm leaving Hardware and Operating System showing "All", though I haven't actually tested more than the one Linux system and three or four different Windows (32- and 64-bit) systems.  At this point I have no idea what the earliest version where I detected this was; but it was before July of 2018.


(I posted a report on this almost three years ago, but I guess I put it in the forum instead of here.  I got one suggestion that I save in native .odt, which I already was, and one snooty unhelpful comment.  That was eventually closed for some reason, but apparently no one ever looked at it.)


Steps to Reproduce:
1.Open LO Writer.
2.Enter several lines of text.
3.Insert a bookmark at the beginning of one line.
4.In a DIFFERENT line, select the first few words of text.  Insert a comment (and type some text in it so the comment stays).
5.Place cursor at beginning of line and insert another bookmark.  Close the bookmark dialog.
6.Verify that both bookmarks are present.
7.Save and exit the document.  (I don't THINK having other Writer docs open matters, but it's possible.  When I've actually tested this, I've always done it without other LO windows open at all.)
8.Reopen the document (in Writer).
9.Verify that bookmark on line with comment has vanished.  (Other bookmark is still present.)


Actual Results:
Bookmark on line with comment vanishes when document is closed and reopened.

Expected Results:
Bookmarks should not vanish when document is closed and reopened.


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.0.4.2 (x64)
Build ID: dcf040e67528d9187c66b2379df5ea4407429775
CPU threads: 4; OS: Windows 10.0 Build 19042; UI render: Skia/Raster; VCL: win
Locale: en-US (en_US); UI: en-US
Calc: CL

I am not bothering to reset my profile.  This bug has manifested perfectly consistently on several different computers and versions of LO (on both Linux and Windows) over several years.  It's not a corrupted profile.

And I do not know whether OpenGL is enabled.  I looked without finding it under Tools ▸ Options ▸ LibreOffice ▸ View .
Comment 1 Dave Lovelace 2021-03-09 19:12:44 UTC
Created attachment 170380 [details]
Screenshot showing both bookmarks present.
Comment 2 Dave Lovelace 2021-03-09 19:13:59 UTC
Created attachment 170381 [details]
Bookmark after close/open showing bookmark not present.
Comment 3 Dave Lovelace 2021-03-19 04:14:25 UTC
I don't understand why there is no activity on this.  It's been over a week since I posted it.  The bug is very easy to demonstrate/replicate.  It's of long standing, over several years and versions of LibreOffice (on both Linux and Windows).  Why is it still UNCONFIRMED?  Confirming it shouldn't take more than five minutes.
Comment 4 pavlog 2021-03-31 20:15:00 UTC
Thank you for reporting, I confirm it in

Version: 7.2.0.0.alpha0+ (x64)
Build ID: ecb916667b633f8647790e040226b093760e6cfe
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Vulkan; VCL: win
Locale: en-US (en_US); UI: en-US
Calc: CL

Version: 7.1.1.2 (x64) / LibreOffice Community
Build ID: fe0b08f4af1bacafe4c7ecc87ce55bb426164676
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: en-US (en_US); UI: en-US
Calc: CL